<div id="{$id}" class="row disk-browser">
    <div class="tree col-3"></div>
    <div class="col-9" n:snippet="files" >
        <div class="tools">
            {control upload id => $id . '-upload'}
        </div>
        <div class="file-grid">{control files}</div>
    </div>
</div>
<script>
    window.addEventListener('load', function () {
        new TreeView(document.querySelector('#' + {$id} +' .tree'), {
            ajax: {
                root: {link directoryRead! id => $root->getId()},
                read: {link directoryRead!},
                create: {link directoryCreate!},
                update: {link directoryUpdate!},
                delete: {link directoryDelete!},
            },
            events: {
                onNodeSelected: function (_, node) {
                    $.nette.ajax({
                        method: 'POST',
                        url: {link directoryChange!},
                        data: {
                            id: event.detail.id
                        }
                    });
                }
            },
            icons: {
                collapse: 'fa fa-folder',
                expand: 'fa fa-folder-open'
            },
            contextMenu: {
                removetitle: 'Odstranit složku',
                removeMessage: 'Opravdu chcete odstranit složku: ',
                buttonYes: 'Ano',
                buttonNo: 'Ne',
                items: [
                    {if $configuration->create} {
                        id: 'create',
                        text: "Vytvořit",
                        icon: 'fa fa-plus-circle'
                    },{/if}
                        {if $configuration->update}{
                        id: 'rename',
                        text: "Přejmenovat",
                        icon: 'fa fa-pencil',
                    },{/if}
                        {if $configuration->delete}{
                        id: 'delete',
                        text: "Odstranit",
                        icon: 'fa fa-times',
                    },{/if}
                    {
                        type: 'divider'
                    },
                    {
                        id: 'close',
                        text: "Zavřít",
                        icon: 'fa fa-circle'
                    }
                ]
            },
            error: {
                title: 'Vyskytla se chyba!'
            }
        });
    });
</script>
